"use strict";
this.name = "oolite-random-hits-revenge";
this.author = "LittleBear";
this.copyright = "September 2008 - But do what you like with it in your OXPs!";
this.description	= "Gives a ship appearing to take revenge for a previous victim an indiviual name on the ID computer."
this.licence     = "CC BY-NC-SA 3.0";
this.version = "2.4";

/*
Script is used both by the revenge ships as well as by its escorts.
*/
this.shipSpawned = function ()
{
    if (this.ship.primaryRole === "escort") 
    {

		this.ship.displayName = this.ship.name + ": " + expandDescription("[random_hits_guard_name]");
        this.ship.bounty += Math.random()*4+1;
        delete this.shipDied; // we don't want this code for the revenge escorts
    }
    else
    {
		this.ship.displayName = this.ship.name + ": " + expandDescription("[random_hits_revenge_name]");
        this.ship.bounty += Math.random()*15+8; // Boosts the Criminals bounty set in shipdata by a random number between 8 and 23.
    }
    delete this.shipSpawned;
}

this.shipBeingAttacked = function (who)
{
    if (!who) return;
    if (who.roles.indexOf("spacebar_clan") > -1) 
    {
        this.ship.reactToAIMessage("FRIENDLY_FIRE");
        return;		
    }

    if (who.primaryRole === "random_hits_spacebar") 
    {
        this.ship.target = who;
        this.ship.reactToAIMessage("SPACEBAR_ATTACK");
        return;		
    }

	// The AIs of criminals do not react to the nomal "ATTACKED" message, only this special one. They therefore ignore attacks by their own side.	
	this.ship.reactToAIMessage("ENEMY_ATTACK"); 
}

this.shipDied = function (whom)
{
    if (--missionVariables.random_hits_revenge_count <= 0)
    {
        // last ship died, clear variables.
        missionVariables.random_hits_timer = null;
        missionVariables.random_hits_striketime = null;
        missionVariables.random_hits_revenge_mark_first_name = null;
        missionVariables.random_hits_revenge_mark_second_name = null;
        missionVariables.random_hits_revenge_warned = null;
        missionVariables.random_hits_revenge = "KILLED"; // Clear all revenge variables, so once a Revenge Ship is killed it won't appear again.
        missionVariables.random_hits_revenge_count = null;
    }

    if (whom && whom.isPlayer)
	{
        missionVariables.random_hits_criminal_hate_score++;
	}
}
